Mac OS X 10.10.x < 10.10.1 Multiple Vulnerabilities

High Nessus Plugin ID 79310


The remote host is missing a Mac OS X update that fixes multiple vulnerabilities.


The remote host is running a version of Mac OS X 10.10.x that is prior to version 10.10.1. This update contains several security-related fixes for the following components :

- CFNetwork
- Spotlight
- System Profiler About This Mac
- WebKit

Note that successful exploitation of the most serious of these issues can result in arbitrary code execution.


Upgrade to Mac OS X 10.10.1 or later.

See Also

Plugin Details

Severity: High

ID: 79310

File Name: macosx_10_10_1.nasl

Version: $Revision: 1.5 $

Type: combined

Agent: macosx

Published: 2014/11/18

Modified: 2016/04/21

Dependencies: 12634, 11936

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:apple:mac_os_x

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/11/17

Vulnerability Publication Date: 2014/11/17

Reference Information

CVE: CVE-2014-4453, CVE-2014-4458, CVE-2014-4459, CVE-2014-4460

BID: 71135, 71139, 71144

OSVDB: 114729, 114732, 114735, 114736

APPLE-SA: APPLE-SA-2014-11-17-2